<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$art_id=$_GET['id']; 
$pagina=$_GET['pagina']; 

$registros=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$art_id' and empresa='$empresa' ") or die(mysqli_error($con));
$dato=mysqli_fetch_array($registros); 
$art_id=$dato['art_id'];
$art_referencia=$dato['art_referencia'];
$art_barras=$dato['art_barras'];
$art_referencia2=$dato['art_referencia2'];
$art_nombre_online=$dato['art_nombre_online'];
$art_nombre=$dato['art_nombre'];
$art_nombre_largo=$dato['art_nombre_largo'];
$art_precio_costo=$dato['art_precio_costo'];
$art_pvp=$dato['art_pvp'];
$art_utilidad=$dato['art_utilidad'];
$art_comision=$dato['art_comision'];
$art_iva=$dato['art_iva'];
$art_estado=$dato['art_estado'];
$familias_fam_id=$dato['familias_fam_id'];
$proveedor_pro_id=$dato['proveedor_pro_id'];
$marca_mar_id=$dato['marca_mar_id'];
$ubicacion_ubi_id=$dato['ubicacion_ubi_id'];
$art_lote=$dato['art_lote'];
$art_online=$dato['art_online'];
$art_garantia=$dato['art_garantia'];
$art_venta_min=$dato['art_venta_min'];
$art_atributo_estado=$dato['art_atributo_estado'];
$art_atributo1=$dato['art_atributo1'];
$art_atributo2=$dato['art_atributo2'];
$art_escaso=$dato['art_escaso'];
$art_promo_desc=$dato['art_promo_desc'];

$min=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$art_id' and empresa='$empresa'") or die(mysqli_error($con));
$mini=mysqli_fetch_array($min); 
$art_minimo=$mini['art_minimo'];

?>
<input type="hidden" name="pagina" id="pagina" value="<?php echo $pagina; ?>">
<div class="tabbable">
    <ul class="nav nav-tabs">
        <li class="active"><a href="#MODIFICAR" data-toggle="tab">DATOS</a> </li>
        <li><a href="#ATRIBUTOS_MODIFICAR" data-toggle="tab">AVANZADO</a></li>
        <li><a href="#PRESENTACIONES_MODIFICAR" data-toggle="tab">UNIDAD DE MEDIDA</a></li>
        <li><a href="#HISTORIAL" data-toggle="tab">HISTORIAL DE COMPRAS</a></li>
    </ul>        
    <form  name="mod_art" id="mod_art" method="post" action="" enctype="multipart/form-data" >
    <div class="tab-content">
        <div class="tab-pane active" id="MODIFICAR">
            <div id="resultados_articulo_mod"></div> 
            <div class="col-md-6">
                <label>Referencia</label>
                <div class="input-group">
                    <input type="hidden" name="art_id" id="art_id" class="form-control name_list" readonly autocomplete="off" value="<?php echo $art_id; ?>" >
                    <input type="text" name="art_referencia" id="art_referencia" class="form-control input-sm" autocomplete="off" value="<?php echo $art_referencia; ?>">
                    <input type="hidden" name="art_referencia_antes" id="art_referencia_antes" class="form-control input-sm" autocomplete="off" value="<?php echo $art_referencia; ?>">
                    <span class="input-group-addon"><div id="Info_referencia"></div> </span>
                </div> <!-- /.form-group -->

                <label>Codigo de Barras (opcional)</label>
                <div class="input-group">
                    <input type="text" name="art_barras" id="art_barras" class="form-control input-sm" autocomplete="off" value="<?php echo $art_barras; ?>" onkeydown="return event.key !== ' '">
                    <span class="input-group-addon"><div id="Info_barras"></div> </span>
                </div> <!-- /.form-group -->

                <label>Referencia (opcional)</label>
                <input type="text" name="art_referencia2" id="art_referencia2" class="form-control input-sm" autocomplete="off" value="<?php echo $art_referencia2; ?>">

                <?php if($tienda_online=='si'){?>
                <label>Nombre Online</label>
                <textarea name="art_nombre_online" id="art_nombre_online" class="form-control input-sm" rows="2" required autocomplete="off"
                ><?php echo $art_nombre_online; ?></textarea>
                <?php } else { ?>
                <input type="hidden" name="art_nombre_online" id="art_nombre_online" value="<?php echo $art_nombre_online;?>" >
                <?php } ?>

                <label>Descripción Corta</label>
                <textarea  name="art_nombre" id="art_nombre" class="form-control input-sm" rows="2" required autocomplete="off"><?php echo $art_nombre; ?></textarea>

                <?php if($tienda_online=='si'){?>
                <label>Descripcion Larga</label>
                <textarea name="art_nombre_largo" id="art_nombre_largo" class="form-control input-sm" rows="2" required autocomplete="off"  ><?php echo $art_nombre_largo; ?></textarea>
                <?php } else { ?>
                   <input type="hidden" name="art_nombre_largo" id="art_nombre_largo" value="<?php echo $art_nombre_largo; ?>">
                <?php } ?>

                <label>Proveedor</label>
                <section id="intro" >
                    <select name="art_proveedor" id="art_proveedor"  class="form-control input-sm" required >
                    <?php
                    $result_1 = mysqli_query($con,"SELECT * FROM proveedor WHERE pro_id='$proveedor_pro_id' order by pro_nombre asc");  
                    while ($row_1=mysqli_fetch_array($result_1)) 
                    {   
                      echo "<option value='".$row_1['pro_id']."' selected>".$row_1['pro_nombre']."</option>"; 
                    }  
                    $result_1 = mysqli_query($con,"SELECT * FROM proveedor WHERE empresa='$empresa' and pro_id<>'$proveedor_pro_id' order by pro_nombre asc");  
                    while ($row_1=mysqli_fetch_array($result_1)) 
                    {   
                      echo "<option value='".$row_1['pro_id']."' >".$row_1['pro_nombre']."</option>"; 
                    }  
                    ?>
                    </select>
                </section>
  
                <label>Categorias</label>
                <section id="intro" >
                    <select name="art_familia" id="art_familia" class="form-control input-sm">
                         <?php
                        $datos = mysqli_query($con,"SELECT * FROM familias WHERE fam_id='$familias_fam_id' ") ;
                        while( $fila = mysqli_fetch_array( $datos ) )
                        {
                        echo' <option value="'.$fila['fam_id'].'">'.$fila['fam_nombre'].'</option>';
                        }
                        $datos = mysqli_query($con,"SELECT * FROM familias WHERE empresa='$empresa' and fam_id<>'$familias_fam_id' order by fam_nombre asc") ;
                        while( $fila = mysqli_fetch_array( $datos ) )
                        {
                        echo' <option value="'.$fila['fam_id'].'">'.$fila['fam_nombre'].'</option>';
                        }
                        ?>
                    </select>
                </section>
                <?php if($tienda_online=='si' && $negocio_neg_id<>'4' ){?>
                <label>Marca</label>
                <section id="intro" >
                    <select name="art_marca" id="art_marca" class="form-control input-sm" value="<?php echo $marca_mar_id; ?>" required>
                    <?php
                    $datos = mysqli_query($con,"SELECT * FROM marca WHERE mar_id='$marca_mar_id' ") ;
                    while( $fila = mysqli_fetch_array( $datos ) )
                    {
                    echo' <option value="'.$fila['mar_id'].'">'.strtoupper($fila['mar_nombre']).'</option>';
                    }
                    $datos = mysqli_query($con,"SELECT * FROM marca  WHERE   empresa='$empresa' and mar_id<>'$marca_mar_id' order by mar_nombre asc ") ;
                    while( $fila = mysqli_fetch_array( $datos ) )
                    {
                        echo' <option value="'.$fila['mar_id'].'">'.strtoupper($fila['mar_nombre']).'</option>';
                    }
                    ?>
                    </select>
                </section>
                <?php } else { ?>
                    <input type="hidden" name="art_marca" id="art_marca" value="<?php echo $marca_mar_id;?>">
                <?php } ?>

                                    
                <?php if ($negocio_neg_id==3 or $negocio_neg_id=='2'){?> 
                <label>Ubicación</label>
                <section id="intro" >
                    <select name="art_ubicacion" id="art_ubicacion"  class="form-control input-sm" required>
                       <?php
                        $result_1 = mysqli_query($con,"SELECT * FROM ubicacion WHERE ubi_id='$ubicacion_ubi_id' order by ubi_nombre asc");  
                        while ($row_1=mysqli_fetch_array($result_1)) 
                        {   
                          echo "<option value='".$row_1['ubi_id']."' selected>".$row_1['ubi_nombre']."</option>"; 
                        }  
                        $result_1 = mysqli_query($con,"SELECT * FROM  ubicacion  WHERE  empresa='$empresa'  and sucursal='$sucursal' and ubi_id<>'$ubicacion_ubi_id'");  
                        while ($row_1=mysqli_fetch_array($result_1)) 
                        {   
                          echo "<option value='".$row_1['ubi_id']."' >".$row_1['ubi_nombre']."</option>"; 
                        }  
                        ?>
                    </select>
                </section>
                <?php } else { ?>
                    <input type="hidden" name="art_ubicacion" id="art_ubicacion" class="form-control input-sm" value="1">
                <?php } ?>

                <label>Garantia Meses</label>
                <input type="number" name="art_garantia" id="art_garantia" class="form-control input-sm" autocomplete="off" value="<?php echo $art_garantia+0; ?>" >
            </div><!-- /span6 -->  

            <div class="col-md-6" >
                <label>Precio de Costo</label>
                <input type="text"  name="art_costo" id="art_costo"  class="form-control input-sm" required autocomplete="off" value="<?php echo $art_precio_costo; ?>">
               
                <label>Impuesto</label>
                <select name="art_iva" id="art_iva" class="form-control input-sm" required >
                    <option value="<?php echo $art_iva; ?>"><?php echo $art_iva; ?> %</option>
                    <?php
                        $datos_i=mysqli_query($con,"SELECT * FROM iva where empresa='$empresa' and iva_porcentaje<>'$art_iva'");
                        while($fila_i=mysqli_fetch_array($datos_i ))
                        {
                        echo' <option value="'.$fila_i['iva_porcentaje'].'" select>'.$fila_i['iva_nombre'].'</option>';
                        }
                    ?>
                </select> 
                <!-- <label>Utilidad (opcional)</label>-->
                <input type="hidden" name="art_utilidad" id="art_utilidad" class="form-control input-sm" autocomplete="off" value="<?php echo $art_utilidad; ?>" max="99" onkeyup="sumarm();" onchange="range = /^\d{1,2}(\.\d{1,3})?$/;hundred = /^100$/;if(!(range.test(this.value) || hundred.test(this.value)))alert('Solo un porcentaje de 0 a 99');">
            
            <?php
                $gen = mysqli_query($con,"SELECT * FROM tarifas WHERE tar_nombre='GENERAL' and empresa='$empresa' ") ;
                $gen = mysqli_fetch_array($gen); 
                $tar=$gen['tar_id'];
                $gen2 = mysqli_query($con,"SELECT * FROM precio where tarifas_tar_id='$tar' and articulos_art_id='$art_id' and empresa='$empresa'");
                $gen2 = mysqli_fetch_array( $gen2 );
            ?>
                <div class="" >
                    <label>Precio <?php echo ucwords(strtolower($gen['tar_nombre'])); ?></label>
                    <input type="hidden" name="general" id="general" class="form-control input-sm" value="<?php echo $gen['tar_id']; ?>" >
                    <input type="number" name="precio_gen" id="precio_gen" class="form-control input-sm" autocomplete="off" required  value="<?php echo $gen2['pre_precio']; ?>">
                </div>
            <?php
                $datos=mysqli_query($con,"SELECT * FROM tarifas WHERE tar_nombre <>'GENERAL' and empresa='$empresa' order by tar_orden asc");
                while($fila=mysqli_fetch_array($datos))
                {
                    $tar=$fila['tar_id'];
                    $datos2=mysqli_query($con,"SELECT * FROM precio where tarifas_tar_id='$tar' and articulos_art_id='$art_id' and empresa='$empresa'");
                    $fila2 = mysqli_fetch_array( $datos2 );
            ?>
                <div class="">
                    <label>Precio <?php echo ucwords(strtolower($fila['tar_nombre'])); ?></label>
                    <input type="hidden" name="tar_nombre[]" id="tar_nombre[]" class="form-control input-sm" value="<?php echo $fila['tar_nombre']; ?>" >
                    <input type="hidden" name="nombre[]" id="nombre[]" class="form-control input-sm" value="<?php echo $fila['tar_id']; ?>" >
                    <input type="number" name="precio[]" id="precio[]" class="form-control input-sm" autocomplete="off" required  value="<?php 
                    if (isset($fila2['pre_precio'])) { echo $fila2['pre_precio']; } ?>" >
                </div>
            <?php } ?>

            <?php if($tienda_online=='si') 
                { 
                    if($art_online=='Activo') 
                    {
                        $checked='checked';
                    }
                    else
                    {
                        $checked='';
                    }
            ?>
            </br>
                <div class="">
                    <input name="art_online2" id="art_online2" type="checkbox" value="Activo" <?php echo $checked; ?> >
                    <label class="lab" for="art_online2" >Online </label>
                </div>

            <?php    }   ?>  
                
            </div><!-- /span6 -->


            <table width="100%"><tr><td>
                <div class="modal-footer">
                    <a href="I_articulos.php" class="btn btn-default" data-dismiss="modal">Cancelar</a>
                    <input type="submit" id="modificar_art" class="btn btn-success" value="Modificar" /> 
                </div>
            </td></tr></table>
        </div>







        <div class="tab-pane" id="ATRIBUTOS_MODIFICAR">
            <div class="col-md-6">
                <label>Estado </label>
                <select name="art_estado" id="art_estado" class="form-control input-sm" >
                <?php
                if($art_estado=='Activo'){
                        echo'<option value="Activo">Activo</option>';
                        echo'<option value="Desactivo">Inactivo</option>';
                    }
                    else {
                        echo'<option value="Desactivo">Inactivo</option>';
                        echo'<option value="Activo">Activo</option>';
                } ?>
                </select>
                <!--<label>Stock minimo</label>-->
                <input type="hidden" name="art_minimo" id="art_minimo" class="form-control input-sm" value="<?php echo $art_minimo+0;?>" >
                <label>Venta Minima</label>
                <input type="number" name="art_venta_min" id="art_venta_min" class="form-control input-sm" value="<?php echo $art_venta_min+0;?>">


                <label>Cantidad de Alerta</label>
                <input type="number" name="art_escaso" id="art_escaso" class="form-control input-sm" value="<?php echo $art_escaso+0;?>">

                <label>Comision de venta %</label>
                <input type="number" step="0.00001" name="art_comision" id="art_comision" class="form-control input-sm" value="<?php echo $art_comision+0;?>">
                <?php if ($tienda_online=='si') { ?>
                <div>
                    <label>Descuento Promoción %</label>
                    <input type="number" step="0.00001" class="form-control input-sm" name="art_promo_desc" id="art_promo_desc" value="<?php echo $art_promo_desc;0 ?>">
                </div>

               <?php } else { ?>
                   <input type="hidden" step="0.00001" name="art_promo_desc" id="art_promo_desc" value="0">
                <?php } ?>

                <label>Lote </label>
                <select name="art_lote" id="art_lote" class="form-control input-sm" required >
                    <?php
                    if($art_lote=='si'){
                    echo' <option value="si">Si Aplica</option>';
                    echo' <option value="no">No Aplica</option> ';
                 }
                else {
                    echo' <option value="no">No Aplica</option> ';
                    echo' <option value="si">Si Aplica</option>';
                } ?>
                </select>

            </div><
            <div class="col-md-6">
                <label>&nbsp</label>
                <ul class="gallery-container" >
                    <?php
                    $files = glob("../img/articulos/$art_id.jpg");
                    if(count($files) > 0) 
                    { 
                        foreach($files as $file) 
                        { 
                    ?>
                    <li>
                        <?php $nu=rand(1,1000); $nu; ?>
                        <a href="img\articulos\<?php echo $art_id.'.jpg?' .$nu .''; ?>" class="ui-lightbox">
                            <img src="img\articulos\<?php echo $art_id.'.jpg?' .$nu .''; ?>" alt=""  height="150px"/>
                        </a>
                        <label for="imagen2" style="width: 100%;">Cambiar Imagen </label>
                        <input type="file" name="imagen2" id="imagen2" >
                    </li>
                    <?php } } else { ?>
                    <li>
                        <a href="img/articulos/sin_imagen.jpg" class="ui-lightbox">
                            <img src="img/articulos/sin_imagen.jpg" alt=""  height="150px"/>
                        </a>
                        <label for="imagen2" style="width: 100%; ">Subir Imagen </label>
                        <input type="file" name="imagen2" id="imagen2" >
                    </li>
                    <?php } ?>
                </ul>
            </div>

            <div class="col-md-11">
                <label>Atributos </label><p>Indica si este producto tiene atributos como color, talla ... </p>
                <select name="art_atributo_estado_mod" id="art_atributo_estado_mod" class="form-control input-sm" required onChange="atributos_mod(this)">
                <?php
                if($art_atributo_estado=='si'){
                        echo'<option value="si">Si Aplica</option>';
                        echo'<option value="no">No Aplica</option>';
                    }
                    else {
                        echo'<option value="no">No Aplica</option>';
                        echo'<option value="si">Si Aplica</option>';
                } ?>
                </select>
                <div id="con_atributos_mod" style="display:<?php if($art_atributo_estado=='si'){echo'';}else {echo'none';}?>;">
                    <div class="col-md-6">
                        <label>Nombre Atributo 1</label> 
                        <div class="input-group">
                            <input type="text" name="art_atributo1" id="art_atributo1" class="form-control input-sm" value="<?php echo $art_atributo1; ?>">
                            <span class="input-group-addon">
                                <a href="#" type="button" id="add_field_mod" ></i> Añadir Opción</a>
                            </span> 
                        </div>
                        </br>
                        <?php
                           $datoss=mysqli_query($con,"SELECT * FROM atributos1 where atri_art_id ='$art_id'") ;
                            while( $filas = mysqli_fetch_array( $datoss ) )
                            {  
                        ?>
                        <div>
                            <div class="col-xs-10">
                                <input type="hidden" id="id_opcion1[]" name="id_opcion1[]" value="<?php  echo $filas['atri_id']; ?>">
                                <input class="form-control input-sm  col-xs-10" type="text" id="opcion1[]" name="opcion1[]" value="<?php  echo $filas['atri_nombre']; ?>">
                            </div>
                            </br></br>
                        </div>
                        <?php } ?>

                        <div id="listas_mod"> </div>
                    </div>
                    <!-- /atributo2 -->
                    <div class="col-md-6">
                        <label>Nombre Atributo 2</label>
                        <div class="input-group">
                            <input type="text" name="art_atributo2" id="art_atributo2" class="form-control input-sm" value="<?php echo $art_atributo2; ?>">
                            <span class="input-group-addon">
                                <a  type="button" id="add_field_mod2"></i> Añadir Opción</a>
                            </span> 
                        </div>
                        </br>

                        <?php
                           $datoss2=mysqli_query($con,"SELECT * FROM atributos2 where atri_art_id2 ='$art_id'") ;
                            while( $filas2 = mysqli_fetch_array( $datoss2 ) )
                            {  
                        ?>
                        <div>
                            <div class="col-xs-10">
                                <input type="hidden" name="id_opcion2[]" value="<?php  echo $filas2['atri_id2']; ?>">
                                <input class="form-control input-sm  col-xs-10" type="text" name="opcion2[]" value="<?php  echo $filas2['atri_nombre2']; ?>">
                            </div>
                            </br></br>
                        </div>
                        <?php } ?>
                        <div id="listas_mod2"> </div>
                    </div>
                </div>
                <div id="sin_atributos_mod" style="display:<?php if($art_atributo_estado=='no'){echo'none';}else {echo'';}?>;"></div>
            </div>

            <table width="100%"><tr><td>
                <div class="modal-footer">
                    <a href="I_articulos.php" class="btn btn-default" data-dismiss="modal">Cancelar</a>
                    <input type="submit" id="modificar_art" class="btn btn-success" value="Modificar" /> 
                </div>
            </td></tr></table>
        </div>

        <div class="tab-pane" id="PRESENTACIONES_MODIFICAR">
            <?php
                $artpres=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id ='$art_id' order by pres_cantidad asc") ;
                while( $artpre = mysqli_fetch_array( $artpres ) )
                {  
                    $pres_id=$artpre['pres_id'];
                    $pres_defecto=$artpre['pres_defecto'];
                    if ($pres_defecto=='si') 
                    {
                        $readonly='readonly';
                    }
                    else
                    {
                        $readonly='';
                    }
            ?>
            <div id="bloque-<?php echo $pres_id; ?>">
                <div class="col-md-5">
                    <label>Nombre</label>
                    <input type="hidden" name="id_pre2[]" class="form-control input-sm" value="<?php echo $artpre['pres_id']; ?>">
                    <input type="text" name="nombre_pre2[]" class="form-control input-sm" value="<?php echo $artpre['pres_unidad']; ?>">
                </div>
                <div class="col-md-2">
                    <label>Cantidad</label>
                    <input type="number" step="0.00001" name="cantidad_pre2[]" class="form-control input-sm" value="<?php echo $artpre['pres_cantidad']; ?>" <?php echo $readonly; ?>>
                </div>
                <div class="col-md-5">
                    <label>Precio</label>
                    <div class="input-group">
                        <input type="number" name="precio_pre2[]" class="form-control input-sm" value="<?php echo $artpre['pres_precio']; ?>" <?php echo $readonly; ?>>
                        <span class="input-group-addon">
                            <?php if ($pres_defecto == 'si') { ?>
                                <a type="button" id="add_presentacion"><i class="btn-icon-only icon-plus"></i></a>
                            <?php } else { ?>
                                <a type="button" class="btn-eliminar" data-id="<?php echo $pres_id; ?>"><i class="btn-icon-only icon-remove"></i></a>
                            <?php } ?>
                        </span>
                    </div>
                </div>
            </div>

            <script>
                $(document).on('click', '.btn-eliminar', function(e){
                    e.preventDefault();
                    var id = $(this).data('id');
                    
                        $.get("php_articulo/eliminar_unidad.php", {pres_id: id}, function(data){
                            $("#bloque-" + id).remove(); // elimina el bloque del DOM
                        });
                    
                });
            </script>

            <?php } ?>

            <div id="listas_pre"> </div>
             <table width="100%"><tr><td>
                <div class="modal-footer">
                    <a href="I_articulos.php" class="btn btn-default" data-dismiss="modal">Cancelar</a>
                    <input type="submit" id="modificar_art" class="btn btn-success" value="Modificar" /> 
                </div>
            </td></tr></table>
        </div>

        </form>



        <div class="tab-pane" id="HISTORIAL">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>FECHA</th>
                        <th>N° FACT</th>
                        <th>PROVEEDOR</th>
                        <th>CANT ANT</th>
                        <th>CANTIDAD</th>
                        <th>COSTO UNIDAD</th>
                        <th>COSTO + CARGO</th>
                      </tr>
                </thead>
                <tbody  class="buscar">
                <?php
                    $registros=mysqli_query($con,"SELECT * FROM compras where sucursal='$sucursal' order by com_id desc") or die(mysqli_error($con));
                    while ($reg=mysqli_fetch_array($registros))
                    {
                        $com_id=$reg['com_id'];
                        $com_fecha=$reg['com_fecha'];
                        $sql=mysqli_query($con, "SELECT *,sum(comd_cantidad) as comd_cantidad from  compra_detalle where compras_com_id='$com_id' AND comd_art_id='$art_id'  group by comd_art_id");
                        while ($row=mysqli_fetch_array($sql))
                        {
                            $comd_iva=$row['comd_iva'];
                            $comd_precio=$row['comd_precio'];
                            $iva=($comd_precio*$comd_iva)/100;
                ?>  
                    <tr>
                        <td style="width: 12%"><?php echo $com_fecha; ?></td>
                        <td style="width: "><a href="C_compras_modificar.php?com_id=<?php echo $com_id; ?>" target="_blank"><?php echo $reg['com_n_compra']; ?> - <?php echo $reg['com_facturaproveedor']; ?></a></td>
                        <td style="width: "><?php echo $reg['proveedor_nombre']; ?></td>
                        <td style="width: 10%"><?php echo $row['comd_cantidad_ant']; ?></td> 
                        <td style="width: 4%"><?php echo $row['comd_cantidad']; ?></td>
                        <td style="width: 15%"><?php echo number_format($row['comd_precio']+$iva,0); ?></td>
                        <td style="width: 15%"><?php echo number_format($row['comd_precio']+$iva+$row['comd_flete'],0); ?></td>
                    </tr>
                </tbody> 
                <?php } } ?> 
            </table>
        </div>   
</div>


<style type="text/css">
    font-family: 'Lato';
    font-size: 16px;
    background-color: rgb 245,250,250;
    color: #161616;
    }
    a {
    text-decoration: none;
    }
    /* Botoes */
    input[type=button] {
    width: 180px;
    height: 30px;
    background-color: rgb(109, 146, 155);
    color: white;
    font-family: Lato;
    padding-left: auto;
    padding-right: auto;
    text-align: center;
    font-size: 18px;
    border-style: solid;
    border-width: thin;
    border-color: rgb(193, 218, 214);
    border-radius: 3px;
    }
</style>
<script>
var campos_presenta= 1000;   
var xpre = 0;

$('#add_presentacion').click (function(e) {
    e.preventDefault();    
    if (xpre < campos_presenta)
    {
        $('#listas_pre').append('<div>\
            <div class="col-md-5" >\
                <label>Nombre</label>\
                <input type="text" name="nombre_pre2i[]" class="form-control input-sm" autocomplete="off" value="" >\
            </div>\
            <div class="col-md-2" >\
                <label>Cantidad</label>\
                <input type="text" step="0.00001" name="cantidad_pre2i[]" class="form-control input-sm" autocomplete="off" value="1" >\
            </div>\
            <div class="col-md-4" >\
                <label>Precio</label>\
                <input type="text" name="precio_pre2i[]" class="form-control input-sm" autocomplete="off" value="" >\
            </div>\
            <label>&nbsp; </label>\
                <a href="#" class="remover_pre btn btn-xs btn-danger col-xs-1"> <i class="btn-icon-only icon-remove"></i></a>\
            </br></br></br></div>');
        xpre++;
    }
});

// Remover o div anterior
$('#listas_pre').on("click",".remover_pre",function(e) {
      e.preventDefault();
      $(this).parent('div').remove();
      xpre--;
});
</script>
<script type="text/javascript">
var campos_max = 1000;   
var x = 0;
$('#add_field_mod').click (function(e) {
    e.preventDefault();     
    if (x < campos_max)
    {
        $('#listas_mod').append('<div>\
            <div class="col-xs-11">\
                <input class="form-control input-sm" type="text" name="opcion_mod1[]">\
            </div>\
            <a href="#" class="remover_campo btn btn-xs btn-danger col-xs-1"> <i class="btn-icon-only icon-remove"></i></a>\
            </br></br></div>');
            x++;
    }
});
// Remover o div anterior
$('#listas_mod').on("click",".remover_campo",function(e) {
      e.preventDefault();
      $(this).parent('div').remove();
      x--;
});

var campos_max2 = 1000;   
var x2 = 0;

$('#add_field_mod2').click (function(e) {
    e.preventDefault();    
    if (x2 < campos_max2)
    {
        $('#listas_mod2').append('<div>\
            <div class="col-xs-11">\
                <input class="form-control input-sm" type="text" name="opcion_mod2[]">\
            </div>\
            <a href="#" class="remover_campo2 btn btn-xs btn-danger col-xs-1"> <i class="btn-icon-only icon-remove"></i></a>\
            </br></br></div>');
            x2++;
    }
});
// Remover o div anterior
$('#listas_mod2').on("click",".remover_campo2",function(e) {
      e.preventDefault();
      $(this).parent('div').remove();
      x2--;
});
    
function atributos_mod(sel) 
{
    if (sel.value=="si"){
       divC = document.getElementById("con_atributos_mod");
       divC.style.display = "";
       divT = document.getElementById("sin_atributos_mod");
       divT.style.display = "none";
    }else {
       divC = document.getElementById("con_atributos_mod");
       divC.style.display="none";

       divT = document.getElementById("sin_atributos_mod");
       divT.style.display = "";
    }
}  

function sumarm()
{
    var valor1=verificar("art_costo");
    var valor2=verificar("art_utilidad");
    var por=valor2/100;
    var porf=valor1*por;
    document.getElementById("precio_gen").value=parseFloat(valor1)+parseFloat(porf);
}


$("#mod_art").submit(function( event ) {
$('#modificar_art').attr("disabled", true);
var pagina=$("#pagina").val();
var formData = new FormData($("#mod_art")[0]);
var ruta = "php_articulo/editar_articulo.php";
    $.ajax({
    type: "POST",
    url: ruta,
    data: formData,
    contentType: false,
    processData: false, 
        beforeSend: function(objeto){
         $('#resultados_articulo_mod').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_articulo_mod").html(datos);
      $("#resultados").html(datos);
      $('#modificar_art').attr("disabled", false);

      $('#modificar_articulo').modal('hide');
      $('body').removeClass('modal-open');
      load(pagina);
      }
  });
  event.preventDefault();
})

$(document).ready(function() 
{  
  $('#art_referencia').blur(function(){
    $('#Info_referencia').html('<img src="img/ajax-loader.gif" alt="" height="16px"  />').fadeOut(1000);
    var art_referencia = $(this).val();    
    var dataString = 'art_referencia='+art_referencia;
    $.ajax({
            type: "POST",
            url: "php_articulo/verificar_articulo_referencia.php",
            data: dataString,
            success: function(data) {
        $('#Info_referencia').fadeIn(1000).html(data);
            }
        });
    });              
});   

$(document).ready(function() 
{  
  $('#art_barras').blur(function(){
    $('#Info_barras').html('<img src="img/ajax-loader.gif" alt="" height="16px"  />').fadeOut(1000);
    var art_barras = $(this).val();    
    var dataString = 'art_barras='+art_barras;
    $.ajax({
            type: "POST",
            url: "php_articulo/verificar_articulo_barras.php",
            data: dataString,
            success: function(data) {
        $('#Info_barras').fadeIn(1000).html(data);
            }
        });
    });              
});   

$(document).ready(function() 
{  
  $('#art_referencia2').blur(function(){
    $('#Info_referencia_adi').html('<img src="img/ajax-loader.gif" alt="" height="16px"  />').fadeOut(1000);
    var art_referencia2 = $(this).val();    
    var dataString = 'art_referencia2='+art_referencia2;
    $.ajax({
            type: "POST",
            url: "php_articulo/verificar_articulo_referencia_adicional.php",
            data: dataString,
            success: function(data) {
        $('#Info_referencia_adi').fadeIn(1000).html(data);
            }
        });
    });              
}); 


//DETALLADO
function sumar()
{
    var valor1=verificar("artd_dividido");
    var valor2=verificar("art_costo");
    var costo=valor2/valor1;
    document.getElementById("artd_costo").value=parseFloat(costo);   
}

$("#det_art").submit(function( event ) {
    $('#detallar_art').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "php_articulo/registrar_detallado.php",
        data: parametros,
      
        beforeSend: function(objeto){
         $('#resultados_detalle').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados_detalle").html(datos);
        $('#detallar_art').attr("disabled", false);
        load(1);
        }
    });
event.preventDefault();
})


$("#mod_det_art").submit(function( event ) {
    $('#mod_detallar_art').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "php_articulo/editar_detallado.php",
        data: parametros,
        beforeSend: function(objeto){
        $('#resultados_detalle').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        ("#resultados_detalle").html(datos);
        $('#mod_detallar_art').attr("disabled", false);
        load(1);
        }
    });
event.preventDefault();
})


function verificar(id)
{
    var obj=document.getElementById(id);
    if(obj.value=="")
        value="0";
    else
        value=obj.value;
    if(validate_importe(value,1))
    {
        // marcamos como erroneo
        obj.style.borderColor="#808080";
        return value;
    }else{
        // marcamos como erroneo
        obj.style.borderColor="#f00";
        return 0;
    }
}

function validate_importe(value,decimal)
{
    if(decimal==undefined)
        decimal=0;

    if(decimal==1)
    {
        // Permite decimales tanto por . como por ,
        var patron=new RegExp("^[0-9]+((,|\.)[0-9]{1,2})?$");
    }else{
        // Numero entero normal
        var patron=new RegExp("^([0-9])*$")
    }

    if(value && value.search(patron)==0)
    {
        return true;
    }
    return false;
}

$(document).ready(function() {
    $('#art_promo').change(function() {
        var selectValue = $(this).val();
        if (selectValue === 'si') {
            $('#descuentoDiv').show();
        } else {
            $('#descuentoDiv').hide();
        }
    });
});


</script>